curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-avito-items-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "iphone 13",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-avito-items-search"
payload = {
"keyword": "iphone 13",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'iphone 13', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-avito-items-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "avito_items_search",
"keyword": "iphone 13",
"max_items": 2,
"start_page": 1,
"region": "all",
"sort": "default",
"seller_type": "any",
"delivery": false,
"human": "# Avito items search\n\n- **Keyword:** iphone 13\n- **Region:** all\n- **Sort:** default\n- **Seller type:** any\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 3.59 MB",
"machine": {
"total_items": 2,
"total_results_on_avito": 36855,
"items": [
{
"@type": "AvitoItemCard",
"id": "8377128186",
"url": "https://www.avito.ru/rostov-na-donu/telefony/iphone_13_128_gb_sim_esim_8377128186",
"name": "iPhone 13, 128 ГБ, SIM + eSIM",
"price": 16000,
"currency": "RUB",
"price_string": "16 000 ₽",
"category": "Телефоны",
"category_id": "84",
"location": "Ростов-на-Дону",
"location_id": "652000",
"address": "ул. Максима Горького, 235",
"coords": {
"@type": "AvitoCoords",
"lat": 47.230358,
"lng": 39.730446,
"address": "ул. Максима Горького, 235"
},
"is_verified": false,
"sorted_at": 1790758183,
"image": "https://10.img.avito.st/image/1/1.qNp7u7aABDM1Ef44J7328n0bBjfJDAAzyWtlN8ngD8nEGAApNRH-OM0.ihD-hwjmM33ylCWpTPciIcmn-aZnFX_CcpC4ADsidqo?cqp=2.2LhnDdKx1gU5sZ7QAbwhSdJoeYt5K_KL9JwGcCXpGrDVbBxJ1yJf9Jn7hY3r",
"image_count": 5,
"seller": {
"@type": "AvitoItemSeller",
"id": "110c159f3ae1b217f09a62449955e841",
"name": "Айклауд",
"url": "https://www.avito.ru/brands/110c159f3ae1b217f09a62449955e841",
"rating": 4.7,
"review_count": 96,
"is_company": true
}
},
{
"@type": "AvitoItemCard",
"id": "7856878538",
"url": "https://www.avito.ru/ulyanovsk/telefony/iphone_13_128_gb_sim_esim_7856878538",
"name": "iPhone 13, 128 ГБ, SIM + eSIM",
"price": 17990,
"currency": "RUB",
"price_string": "17 990 ₽",
"category": "Телефоны",
"category_id": "84",
"location": "Ульяновск",
"location_id": "659880",
"address": "Ульяновск, улица Гончарова, 21",
"coords": {
"@type": "AvitoCoords",
"lat": 54.3182106,
"lng": 48.39653778,
"address": "Ульяновск, улица Гончарова, 21"
},
"is_verified": false,
"sorted_at": 1788428034,
"image": "https://80.img.avito.st/image/1/1.cHBnb7aA3JkpxSaSCyZtcivO3p3V2NiZ1b-9ndU012PYzNiDKcUmktE.-WX-aZGRAdI6i44z4s56BJjKleB1NvDXgvX5tBMn7Ew",
"image_count": 4,
"seller": {
"@type": "AvitoItemSeller",
"id": "652a5afebb77814954ca4cb83afefa97",
"name": "iMart I Ульяновск",
"url": "https://www.avito.ru/brands/652a5afebb77814954ca4cb83afefa97",
"rating": 4.9,
"review_count": 204,
"is_company": true
}
}
],
"response_bytes": 3767422
},
"total_points": 2
}Avito Items Search
Search Avito listings by keyword with region, category, price range, sort, seller type, Avito Delivery and attribute filters. Returns title, price, location, coordinates, image and seller for each listing. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Search term. e.g. iphone 13
Max items
1 <= x <= 250Starting page
x >= 1Region. e.g. all, moskva, sankt-peterburg
Category. e.g. telefony, avtomobili
Min price (RUB)
x >= 0Max price (RUB)
x >= 0Sort by. Options: default = Default, price_asc = Price: low to high, price_desc = Price: high to low, date = Newest
default, price_asc, price_desc, date Seller type. Options: any = Any, private = Private, company = Company
any, private, company Extra Avito search params, as a JSON object.
Avito Delivery
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.